﻿
$ErrorActionPreference = 'Stop';

$packageName= 'dotnetcore-sdk'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.visualstudio.microsoft.com/download/pr/44629511-68f9-4524-9714-bc8f078522d0/bf4ebced2c77278af84c11949b5baa96/dotnet-dev-win-x86.1.1.12.exe'
$checksum   = 'C01B481AE6CC5D681429AA472DD37B2D2F799BF60F84922437806DCE4CDEDBB7DCA7C61063B08B0205DDA893CA1FF141CBD43A5BF753B15124ECC051F73260E0'
$url64      = 'https://download.visualstudio.microsoft.com/download/pr/2b8cbc07-4204-407d-ad2f-a59003467bdb/b7629786a40ad753bd0851c5707100f0/dotnet-dev-win-x64.1.1.12.exe'
$checksum64 = '654DA8D87058D45EEDC0B44789181BD761A272F3FDFDC8F39E3E0A79946B4B5DC9B6A8F30ED4B127243C216EAA44E1C70174E2111405BA5135AEB19B986B1AF3'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = "/install /quiet /norestart /log `"$env:TEMP\$($packageName)\$($packageName).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'dotnet-core*'
  checksum      = $checksum
  checksumType  = 'SHA512'
  checksum64    = $checksum64
}

Install-ChocolateyPackage @packageArgs
